cdac.medinfo.sdk.hl7282.baselibs.segments

## Class NK1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.NK1

- All Implemented Interfaces:
    ISegment

      public class NK1
      extends Segment

  NK1 - Next of Kin / Associated Parties Segment.

  The NK1 segment contains information about the patient's other related parties. Any associated parties may be identified.If a person or organization fulfills multiple contact roles, for example, a person is an emergency contact and a next of kin, it is recommended to send a NK1 segment for each contact role Represents an HL7 NK1 message segment. This segment has the following fields:

  NK1-1: Set ID - NK1 (SI)Required
  NK1-2: NK Name (XPN)Optional
  NK1-3: Relationship (CWE)Optional
  NK1-4: Address (XAD)Optional
  NK1-5: Phone Number (XTN)Backward
  NK1-6: Business Phone Number (XTN)Backward
  NK1-7: Contact Role (CWE)Optional
  NK1-8: Start Date (DT)Optional
  NK1-9: End Date (DT)Optional
  NK1-10: Next of Kin / Associated Parties Job Title (ST)Optional
  NK1-11: Next of Kin / Associated Parties Job Code/Class (JCC)Optional
  NK1-12: Next of Kin / Associated Parties Employee Number (CX)Optional
  NK1-13: Organization Name - NK1 (XON)Optional
  NK1-14: Marital Status (CWE)Optional
  NK1-15: Administrative Sex (CWE)Optional
  NK1-16: Date/Time of Birth (DTM)Optional
  NK1-17: Living Dependency (CWE)Optional
  NK1-18: Ambulatory Status (CWE)Optional
  NK1-19: Citizenship (CWE)Optional
  NK1-20: Primary Language (CWE)Optional
  NK1-21: Living Arrangement (CWE)Optional
  NK1-22: Publicity Code (CWE)Optional
  NK1-23: Protection Indicator (ID)Optional
  NK1-24: Student Indicator (CWE)Optional
  NK1-25: Religion (CWE)Optional
  NK1-26: Mother's Maiden Name (XPN)Optional
  NK1-27: Nationality (CWE)Optional
  NK1-28: Ethnic Group (CWE)Optional
  NK1-29: Contact Reason (CWE)Optional
  NK1-30: Contact Person's Name (XPN)Optional
  NK1-31: Contact Person's Telephone Number (XTN)Backward
  NK1-32: Contact Person's Address (XAD)Optional
  NK1-33: Next of Kin/Associated Party's Identifiers (CX)Optional
  NK1-34: Job Status (CWE)Optional
  NK1-35: Race (CWE)Optional
  NK1-36: Handicap (CWE)Optional
  NK1-37: Contact Person Social Security Number (ST)Optional
  NK1-38: Next of Kin Birth Place (ST)Optional
  NK1-39: VIP Indicator (CWE)Optional
  NK1-40: Next of Kin Telecommunication Information (XTN)Optional
  NK1-41: Contact Person's Telecommunication Information (XTN)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NK1()` Constructs the NK1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Address.
    `void` | `addAddress(XAD objtempAddress)`
    `void` | `addAmbulatoryStatus(CWE objtempAmbulatoryStatus)` Sets the AmbulatoryStatus.
    `void` | `addAmbulatoryStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ambulatory Status.
    `void` | `addBusinessPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Business Phone Number.
    `void` | `addBusinessPhoneNumber(XTN objtempBusinessPhoneNumber)` Sets the Business Phone Number.
    `void` | `addCitizenship(CWE objtempCitizenship)` Sets the Citizenship.
    `void` | `addCitizenship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Citizenship.
    `void` | `addContactPersonsAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Contact Persons Address.
    `void` | `addContactPersonsAddress(XAD objtempContactPersonsAddress)` Sets the ContactPersonsAddress.
    `void` | `addContactPersonsName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Contact Persons Name.
    `void` | `addContactPersonsName(XPN objtempContactPersonsName)` Sets the ContactPersonsName.
    `void` | `addContactPersonsTelephoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Contact Persons Telephone Number.
    `void` | `addContactPersonsTelephoneNumber(XTN objtempContactPersonsTelephoneNumber)` Sets the Contact Persons TelephoneNumber.
    `void` | `addContactReason(CWE objtempContactReason)` Set the Contact Reason.
    `void` | `addContactReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Contact Reason.
    `void` | `addEthnicGroup(CWE objtempEthnicGroup)` Sets the Ethnic Group.
    `void` | `addEthnicGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ethnic Group.
    `void` | `addLivingDependency(CWE objtempLivingDependency)` Set the Living Dependency.
    `void` | `addLivingDependency(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Living Dependency.
    `void` | `addMothersMaidenName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Mothers Maiden Name.
    `void` | `addMothersMaidenName(XPN objtempMothersMaidenName)` Sets the Mothers Maiden Name.
    `void` | `addName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix)` Set the Name OF Next Kin.
    `void` | `addName(XPN objtempName)` Sets the Name.
    `void` | `addNextOfKinAssociatedPartysIdentifiers(CX objtempNextOfKinAssociatedPartysIdentifiers)` Sets the Next Of Kin Associated Partys Identifiers.
    `void` | `addNextOfKinAssociatedPartysIdentifiers(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Next Of Kin Associated Partys Identifiers.
    `void` | `addOrganizationNameNK1(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Organization Name NK1.
    `void` | `addOrganizationNameNK1(XON objtempOrganizationNameNK1)` Sets the Organization Name NK1.
    `void` | `addPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Phone Number.
    `void` | `addPhoneNumber(XTN objtempPhoneNumber)` Sets the Phone Number.
    `void` | `addRace(CWE objtempRace)` Sets the Race.
    `void` | `addRace(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Race.
    `ISingleCollection<XAD>` | `getAddress()` Retrieves the Address.
    `CWE` | `getAdministrativeSex()` Retrieves the Administrative Sex.
    `ISingleCollection<CWE>` | `getAmbulatoryStatus()` Retrieves the Ambulatory Status.
    `ISingleCollection<XTN>` | `getBusinessPhoneNumber()` Retrieves the Business Phone Number.
    `ISingleCollection<CWE>` | `getCitizenship()` Retrieves the Citizenship.
    `ISingleCollection<XAD>` | `getContactPersonsAddress()` Retrieves the Contact Persons Address.
    `ISingleCollection<XPN>` | `getContactPersonsName()` Retrieves the Contact Persons Name.
    `ST` | `getContactPersonSocialSecurityNumber()` Retrieves the Contact Person Social Security Number.
    `XTN` | `getContactPersonsTelecommunicationInformation()` Retrieves the Contact Person's Telecommunication Information.
    `ISingleCollection<XTN>` | `getContactPersonsTelephoneNumber()` Retrieves the Contact Persons Telephone Number.
    `ISingleCollection<CWE>` | `getContactReason()` Retrieves the Contact Reason.
    `CWE` | `getContactRole()` Retrieves the Contact Role.
    `DTM` | `getDateTimeOfBirth()` Retrieves the Date Time Of Birth.
    `DT` | `getEndDate()` Retrieves the End Date.
    `ISingleCollection<CWE>` | `getEthnicGroup()` Retrieves the Ethnic Group.
    `CWE` | `getHandicap()` Retrieves the Handicap.
    `CWE` | `getJobStatus()` Retrieves the JobStatus.
    `CWE` | `getLivingArrangement()` Retrieves the Living Arrangement.
    `ISingleCollection<CWE>` | `getLivingDependency()` Retrieves the Living Dependency.
    `CWE` | `getMaritalStatus()` Retrieves the Marital Status.
    `ISingleCollection<XPN>` | `getMothersMaidenName()` Retrieves the Mothers Maiden Name.
    `ISingleCollection<XPN>` | `getNameOFNextKin()` Retrieves the Name OF Next Kin.
    `CWE` | `getNationality()` Retrieves the Nationality.
    `CX` | `getNextOfKinAssociatedPartiesEmployeeNumber()` Retrieves the Next Of Kin Associated Parties Employee Number.
    `JCC` | `getNextOfKinAssociatedPartiesJobCodeClass()` Retrieves the Next Of Kin Associated Parties Job Code Class.
    `ST` | `getNextOfKinAssociatedPartiesJobTitle()` Retrieves the Next Of Kin Associated Parties Job Title.
    `ISingleCollection<CX>` | `getNextOfKinAssociatedPartysIdentifiers()` Retrieves the Next Of Kin Associated Partys Identifiers.
    `ST` | `getNextOfKinBirthPlace()` Retrieves the Next Of Kin Birth Place.
    `XTN` | `getNextOfKinTelecommunicationInformation()` Retrieves the Next of Kin Telecommunication Information.
    `ISingleCollection<XON>` | `getOrganizationNameNK1()` Retrieves the Organization Name NK1.
    `ISingleCollection<XTN>` | `getPhoneNumber()` Retrieves the Phone Number.
    `CWE` | `getPrimaryLanguage()` Retrieves the Primary Language.
    `ID` | `getProtectionIndicator()` Retrieves the Protection Indicator.
    `CWE` | `getPublicityCode()` Retrieves the Publicity Code.
    `ISingleCollection<CWE>` | `getRace()` Retrieves the Race.
    `CWE` | `getRelationship()` Retrieves the Relationship.
    `CWE` | `getReligion()` Retrieves the Religion.
    `SI` | `getSetIDNK1()` Retrieves the Set ID NK1.
    `DT` | `getStartDate()` Retrieves the Start Date.
    `CWE` | `getStudentIndicator()` Retrieves the Student Indicator.
    `CWE` | `getVIPIndicator()` Retrieves the VIP Indicator.
    `void` | `setAddress(ISingleCollection<XAD> objAddressList)` Set the Address list.
    `void` | `setAdministrativeSex(CWE objadministrativeSex)` Sets the AdministrativeSex
    `void` | `setAdministrativeSex(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Administrative Sex.
    `void` | `setAmbulatoryStatus(ISingleCollection<CWE> objambulatoryStatusList)` Set the Ambulatory Status list.
    `void` | `setBusinessPhoneNumber(ISingleCollection<XTN> objBusinessPhoneNumberList)` Set the Business Phone Number list.
    `void` | `setCitizenship(ISingleCollection<CWE> objCitizenshipList)` Set the Citizenship list.
    `void` | `setContactPersonsAddress(ISingleCollection<XAD> objContactPersonsAddressList)` Set the Contact Persons Address list.
    `void` | `setContactPersonsName(ISingleCollection<XPN> objContactPersonsNameList)` Set the Contact Persons Name list.
    `void` | `setContactPersonSocialSecurityNumber(ST objcontactPersonSocialSecurityNumber)` Sets the PersonSocialSecurityNumber.
    `void` | `setContactPersonSocialSecurityNumber(java.lang.String strContactPersonSocialSecurityNumber)` Set the Contact Person Social Security Number.
    `void` | `setContactPersonsTelecommunicationInformation(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Contact Person's Telecommunication Information.
    `void` | `setContactPersonsTelecommunicationInformation(XTN objXtn)` Sets the Contact Person's Telecommunication Information.
    `void` | `setContactPersonsTelephoneNumber(ISingleCollection<XTN> objContactPersonsTelephoneNumberList)` Set the Contact Persons Telephone Number list.
    `void` | `setContactReason(ISingleCollection<CWE> objContactReasonList)` Set the Contact Reason list.
    `void` | `setContactRole(CWE objcontactRole)` Set the Contact Role.
    `void` | `setContactRole(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Contact Role.
    `void` | `setDateTimeOfBirth(DTM objdateTimeOfBirth)` Sets the Date Time Of Birth.
    `void` | `setDateTimeOfBirth(java.lang.String strTime)` Set the Date Time Of Birth.
    `void` | `setEndDate(DT objendDate)` Set the End Date.
    `void` | `setEndDate(java.lang.String strEndDate)` Set the End Date.
    `void` | `setEthnicGroup(ISingleCollection<CWE> objEthnicGroupList)` Set the Ethnic Group list.
    `void` | `setHandicap(CWE objhandicap)` Set the Handicap.
    `void` | `setHandicap(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Handicap.
    `void` | `setJobStatus(CWE objjobStatus)` Sets the Status.
    `void` | `setJobStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the JobStatus.
    `void` | `setLivingArrangement(CWE objlivingArrangement)`
    `void` | `setLivingArrangement(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Living Arrangement.
    `void` | `setLivingDependency(ISingleCollection<CWE> objLivingDependencyList)` Set the Living Dependency list.
    `void` | `setMaritalStatus(CWE objmaritalStatus)` Sets the Marital Status.
    `void` | `setMaritalStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Marital Status.
    `void` | `setMothersMaidenName(ISingleCollection<XPN> objMothersMaidenNameList)` Set the Mothers Maiden Name list.
    `void` | `setName(ISingleCollection<XPN> objNameList)` Set the Name.
    `void` | `setNationality(CWE objnationality)` Sets the Nationality.
    `void` | `setNationality(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Nationality.
    `void` | `setNextOfKinAssociatedPartiesEmployeeNumber(CX objnextOfKinAssociatedPartiesEmployeeNumber)` Sets the Next Of Kin Associated Parties Employee Number.
    `void` | `setNextOfKinAssociatedPartiesEmployeeNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Next Of Kin Associated Parties Employee Number.
    `void` | `setNextOfKinAssociatedPartiesJobCodeClass(CWE jobCode, CWE jobClass, java.lang.String strJobDescriptionText)` Set the Next Of Kin Associated Parties Job Code Class.
    `void` | `setNextOfKinAssociatedPartiesJobCodeClass(JCC objnextOfKinAssociatedPartiesJobCodeClass)` Sets the Next Of Kin Associated Parties Job Code Class.
    `void` | `setNextOfKinAssociatedPartiesJobTitle(ST objnextOfKinAssociatedPartiesJobTitle)` Sets the Next Of Kin Associated Parties Job Title.
    `void` | `setNextOfKinAssociatedPartiesJobTitle(java.lang.String strNextOfKinAssociatedPartiesJobTitle)` Set the Next Of Kin Associated Parties Job Title.
    `void` | `setNextOfKinAssociatedPartysIdentifiers(ISingleCollection<CX> objNextOfKinAssociatedPartysIdentifiersList)` Set the Next Of Kin Associated Partys Identifiers list.
    `void` | `setNextOfKinBirthPlace(ST objnextOfKinBirthPlace)` Set the Next Of Kin Birth Place.
    `void` | `setNextOfKinBirthPlace(java.lang.String strNextOfKinBirthPlace)` Set the Next Of Kin Birth Place.
    `void` | `setNextOfKinTelecommunicationInformation(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Next of Kin Telecommunication Information.
    `void` | `setNextOfKinTelecommunicationInformation(XTN objXtn)` Sets the Next of Kin Telecommunication Information.
    `void` | `setOrganizationNameNK1(ISingleCollection<XON> objOrganizationNameNK1List)` Set the Organization Name NK1 list.
    `void` | `setPhoneNumber(ISingleCollection<XTN> objPhoneNumberList)` Set the PhoneNumber list.
    `void` | `setPrimaryLanguage(CWE objprimaryLanguage)` Sets the Primary Language.
    `void` | `setPrimaryLanguage(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Language.
    `void` | `setProtectionIndicator(ID objprotectionIndicator)` Sets the Protection Indicator.
    `void` | `setProtectionIndicator(java.lang.String strProtectionIndicator)` Set the Protection Indicator.
    `void` | `setPublicityCode(CWE objpublicityCode)` Set the Publicity Code.
    `void` | `setPublicityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Publicity Code.
    `void` | `setRace(ISingleCollection<CWE> objRaceList)` Set the Race list.
    `void` | `setRelationship(CWE objrelationship)` Sets the Relationship.
    `void` | `setRelationship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Relationship.
    `void` | `setReligion(CWE objreligion)` Sets the Religion.
    `void` | `setReligion(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Religion.
    `void` | `setSetIDNK1(SI objsetIDNK1)` Set the Set ID NK1.
    `void` | `setSetIDNK1(java.lang.String strSetIDNK1)` Set the Set ID NK1.
    `void` | `setStartDate(DT objstartDate)` Set the Start Date.
    `void` | `setStartDate(java.lang.String strStartDate)` Set the Start Date.
    `void` | `setStudentIndicator(CWE objstudentIndicator)` Sets the Student Indicator.
    `void` | `setStudentIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Student Indicator.
    `void` | `setVIPIndicator(CWE objvIPIndicator)` Set the VIP Indicator.
    `void` | `setVIPIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the VIP Indicator.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NK1

          public NK1()

      Constructs the NK1 segment.

  - ### Method Detail

    - #### getAddress

          public ISingleCollection<XAD> getAddress()

      Retrieves the Address. This field contains the address of the next of kin/associated party. Multiple addresses are allowed for the same person.
      Returns:
        ISingleCollection - address

    - #### getAdministrativeSex

          public CWE getAdministrativeSex()

      Retrieves the Administrative Sex. This field contains the next of kin/associated party's sex.
      Returns:
        String - administrativeSex

    - #### getAmbulatoryStatus

          public ISingleCollection<CWE> getAmbulatoryStatus()

      Retrieves the Ambulatory Status. This field identify the transient rate of mobility for the next of kin/associated party.
      Returns:
        ISingleCollection - ambulatoryStatus

    - #### getBusinessPhoneNumber

          public ISingleCollection<XTN> getBusinessPhoneNumber()

      Retrieves the Business Phone Number. This field contains the business telephone number of the next of kin/associated party. Multiple phone numbers are allowed for the same person.
      Returns:
        ISingleCollection - businessPhoneNumber

    - #### getCitizenship

          public ISingleCollection<CWE> getCitizenship()

      Retrieves the Citizenship. This field contains the code to identify the next of kin/associated party's citizenship.
      Returns:
        ISingleCollection - citizenship

    - #### getContactPersonsAddress

          public ISingleCollection<XAD> getContactPersonsAddress()

      Retrieves the Contact Persons Address. This field contains the addresses of the contact person depending on the value of the relationship defined in NK1-3-Relationship.
      Returns:
        ISingleCollection - contactPersonsAddress

    - #### getContactPersonsName

          public ISingleCollection<XPN> getContactPersonsName()

      Retrieves the Contact Persons Name. This field contains the names of the people to contact, depending on the value of the relationship defined in NK1-3-Relationship.
      Returns:
        ISingleCollection - contactPersonsName

    - #### getContactPersonSocialSecurityNumber

          public ST getContactPersonSocialSecurityNumber()

      Retrieves the Contact Person Social Security Number. This field contains the contact person's social security number.
      Returns:
        String - contactPersonSocialSecurityNumber

    - #### getContactPersonsTelephoneNumber

          public ISingleCollection<XTN> getContactPersonsTelephoneNumber()

      Retrieves the Contact Persons Telephone Number. This field contains the telephone numbers of the contact person depending on the value of the relationship defined in NK1-3-Relationship.
      Returns:
        ISingleCollection - contactPersonsTelephoneNumber

    - #### getContactReason

          public ISingleCollection<CWE> getContactReason()

      Retrieves the Contact Reason. This field identify how the contact should be used (e.g., contact employer if patient is unable to work).
      Returns:
        ISingleCollection - contactReason

    - #### getContactRole

          public CWE getContactRole()

      Retrieves the Contact Role. This field indicates the specific relationship role.
      Returns:
        CWE - contactRole

    - #### getDateTimeOfBirth

          public DTM getDateTimeOfBirth()

      Retrieves the Date Time Of Birth. This field contains the next of kin/associated party's birth date and time.
      Returns:
        DTM - dateTimeOfBirth

    - #### getEndDate

          public DT getEndDate()

      Retrieves the End Date. This field contains the end date of the contact role.
      Returns:
        String - endDate

    - #### getEthnicGroup

          public ISingleCollection<CWE> getEthnicGroup()

      Retrieves the Ethnic Group. This field contains the next of kin/associated party's ethnic group.
      Returns:
        ISingleCollection - ethnicGroup

    - #### getHandicap

          public CWE getHandicap()

      Retrieves the Handicap. This field contains the code that describes an associated party's disability.
      Returns:
        String - handicap

    - #### getJobStatus

          public CWE getJobStatus()

      Retrieves the JobStatus. This field identify the next of kin/associated party's job status.
      Returns:
        String - jobStatus

    - #### getLivingArrangement

          public CWE getLivingArrangement()

      Retrieves the Living Arrangement. This field identify the situation that the associated party lives in at his/her residential address.
      Returns:
        String - livingArrangement

    - #### getLivingDependency

          public ISingleCollection<CWE> getLivingDependency()

      Retrieves the Living Dependency. This field identify specific living conditions (e.g., spouse dependent on patient, walk-up) that are relevant to an evaluation of the patient's healthcare needs.
      Returns:
        ISingleCollection - livingDependency

    - #### getMaritalStatus

          public CWE getMaritalStatus()

      Retrieves the Marital Status. This field contains the next of kin/associated party's marital status.
      Returns:
        CWE - maritalStatus

    - #### getMothersMaidenName

          public ISingleCollection<XPN> getMothersMaidenName()

      Retrieves the Mothers Maiden Name. This field indicates the maiden name of the next of kin/associated party's mother.
      Returns:
        ISingleCollection - mothersMaidenName

    - #### getNameOFNextKin

          public ISingleCollection<XPN> getNameOFNextKin()

      Retrieves the Name OF Next Kin. This field contains the name of the next of kin or associated party. Multiple names for the same person are allowed.
      Returns:
        ISingleCollection - name

    - #### getNationality

          public CWE getNationality()

      Retrieves the Nationality. This field identify the nation or national group to which the next of kin/associated party belongs.
      Returns:
        CWE - nationality

    - #### getNextOfKinAssociatedPartiesEmployeeNumber

          public CX getNextOfKinAssociatedPartiesEmployeeNumber()

      Retrieves the Next Of Kin Associated Parties Employee Number. This field contains the number that the employer assigns to the employee that is acting as next of kin/associated parties.
      Returns:
        CX - nextOfKinAssociatedPartiesEmployeeNumber

    - #### getNextOfKinAssociatedPartiesJobCodeClass

          public JCC getNextOfKinAssociatedPartiesJobCodeClass()

      Retrieves the Next Of Kin Associated Parties Job Code Class. This field contains the employer's job code and the employee classification used for the next of kin/associated parties at their place of employment.
      Returns:
        JCC - nextOfKinAssociatedPartiesJobCodeClass

    - #### getNextOfKinAssociatedPartiesJobTitle

          public ST getNextOfKinAssociatedPartiesJobTitle()

      Retrieves the Next Of Kin Associated Parties Job Title. This field contains the title of the next of kin/associated parties at their place of employment.
      Returns:
        String - nextOfKinAssociatedPartiesJobTitle

    - #### getNextOfKinAssociatedPartysIdentifiers

          public ISingleCollection<CX> getNextOfKinAssociatedPartysIdentifiers()

      Retrieves the Next Of Kin Associated Partys Identifiers. This field contains the identifiers for the next of kin/associated party.
      Returns:
        ISingleCollection - nextOfKinAssociatedPartysIdentifiers

    - #### getNextOfKinBirthPlace

          public ST getNextOfKinBirthPlace()

      Retrieves the Next Of Kin Birth Place. This field indicates the location of the next-of-kin's birth.
      Returns:
        String - nextOfKinBirthPlace

    - #### getOrganizationNameNK1

          public ISingleCollection<XON> getOrganizationNameNK1()

      Retrieves the Organization Name NK1. This field contains the name of the organization that serves as a next of kin/associated party or as the next of kin of the patient.
      Returns:
        ISingleCollection - organizationNameNK1

    - #### getPhoneNumber

          public ISingleCollection<XTN> getPhoneNumber()

      Retrieves the Phone Number. This field contains the telephone number of the next of kin/associated party.
      Returns:
        ISingleCollection - phoneNumber

    - #### getPrimaryLanguage

          public CWE getPrimaryLanguage()

      Retrieves the Primary Language. This field identify the next of kin/associated party's primary speaking language.
      Returns:
        CWE - primaryLanguage

    - #### getProtectionIndicator

          public ID getProtectionIndicator()

      Retrieves the Protection Indicator. This field identify that next of kin/associated party's protection that determines, in turn, whether access to information about this person should be kept from users who do not have adequate authority.
      Returns:
        String - protectionIndicator

    - #### getPublicityCode

          public CWE getPublicityCode()

      Retrieves the Publicity Code. This field indicates what level of publicity is allowed (e.g., No Publicity, Family Only) for the next of kin/associated party.
      Returns:
        CWE - publicityCode

    - #### getRace

          public ISingleCollection<CWE> getRace()

      Retrieves the Race. This field identify the race of the next of kin/associated party.
      Returns:
        ISingleCollection - race

    - #### getRelationship

          public CWE getRelationship()

      Retrieves the Relationship. This field contains the actual personal relationship that the next of kin/associated party has to the patient.
      Returns:
        CWE - relationship

    - #### getReligion

          public CWE getReligion()

      Retrieves the Religion. This field indicates the type of religion practiced by the next of kin/associated party.
      Returns:
        CWE - religion

    - #### getSetIDNK1

          public SI getSetIDNK1()

      Retrieves the Set ID NK1. This field contains the number that identifies this transaction.
      Returns:
        String - setIDNK1

    - #### getStartDate

          public DT getStartDate()

      Retrieves the Start Date. This field contains the start date of the contact role.
      Returns:
        String - startDate

    - #### getStudentIndicator

          public CWE getStudentIndicator()

      Retrieves the Student Indicator. This field identify whether the next of kin/associated party is currently a student or not, and whether the next of kin/associated party is a full- or a part-time student.
      Returns:
        String - studentIndicator

    - #### getVIPIndicator

          public CWE getVIPIndicator()

      Retrieves the VIP Indicator. This field identify the type of VIP for the next-of-kin.
      Returns:
        CWE - vIPIndicator

    - #### getNextOfKinTelecommunicationInformation

          public XTN getNextOfKinTelecommunicationInformation()

      Retrieves the Next of Kin Telecommunication Information.
      Returns:
        XTN - Next of Kin Telecommunication Information

    - #### getContactPersonsTelecommunicationInformation

          public XTN getContactPersonsTelecommunicationInformation()

      Retrieves the Contact Person's Telecommunication Information.
      Returns:
        XTN - Contact Person's Telecommunication Information

    - #### addAddress

          public void addAddress(SAD objStreetAddress,
                        java.lang.String strOtherDesignation,
                        java.lang.String strCity,
                        java.lang.String strStateOrProvince,
                        java.lang.String strZipOrPostalCode,
                        java.lang.String strCountry,
                        java.lang.String strAddressType,
                        java.lang.String strOtherGeographicDesignation,
                        CWE objCountyParishCode,
                        CWE objCensusTract,
                        java.lang.String strAddressRepresentationCode,
                        DTM objEffectiveDate,
                        DTM objExpirationDate,
                        CWE objEXpirationReason,
                        java.lang.String strTemporaryIndicator,
                        java.lang.String strBadAddressIndicator,
                        java.lang.String strAddressUsage,
                        java.lang.String strAddressee,
                        java.lang.String strComment,
                        java.lang.String strPreferenceOrder,
                        CWE objProtectionCode,
                        EI objAddressIdentifier)

      Set the Address. This field contains the address of the next of kin/associated party. Multiple addresses are allowed for the same person.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addAddress

          public void addAddress(XAD objtempAddress)

      Parameters:
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objtempAddress` - objwct of Address.

    - #### setAddress

          public void setAddress(ISingleCollection<XAD> objAddressList)

      Set the Address list.
      Parameters:
        `objDiagnosingClinicianList` - List of Address

    - #### setAdministrativeSex

          public void setAdministrativeSex(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Administrative Sex. This field contains the next of kin/associated party's sex.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdministrativeSex

          public void setAdministrativeSex(CWE objadministrativeSex)

      Sets the AdministrativeSex
      Parameters:
        `objadministrativeSex` - object of AdministrativeSex

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ambulatory Status. This field identify the transient rate of mobility for the next of kin/associated party.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(CWE objtempAmbulatoryStatus)

      Sets the AmbulatoryStatus.
      Parameters:
        `objtempAmbulatoryStatus` - object of AmbulatoryStatus.

    - #### setAmbulatoryStatus

          public void setAmbulatoryStatus(ISingleCollection<CWE> objambulatoryStatusList)

      Set the Ambulatory Status list.
      Parameters:
        `objambulatoryStatusList` - List of Ambulatory Status.

    - #### addBusinessPhoneNumber

          public void addBusinessPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                    java.lang.String strTeleCommunicationEquipmentType,
                                    java.lang.String strCommuinicationAddress,
                                    java.lang.String strCountryCode,
                                    java.lang.String strAreaCityCode,
                                    java.lang.String strLocalNumber,
                                    java.lang.String strExtension,
                                    java.lang.String strAnyText,
                                    java.lang.String strExtensionPrefix,
                                    java.lang.String strSpeedDialCode,
                                    java.lang.String strUnformattedTelephoneNumber,
                                    java.lang.String strEffectiveStartDate,
                                    java.lang.String strExpirationDate,
                                    CWE objExpirationReason,
                                    CWE objProtectionCode,
                                    EI objSharedTelecommunicationIdentifier,
                                    java.lang.String strPreferenceOrder)

      Set the Business Phone Number. This field contains the business telephone number of the next of kin/associated party. Multiple phone numbers are allowed for the same person. includes an optional extension, beeper number and comment.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addBusinessPhoneNumber

          public void addBusinessPhoneNumber(XTN objtempBusinessPhoneNumber)

      Sets the Business Phone Number.
      Parameters:
        `objtempBusinessPhoneNumber` - object of BusinessPhoneNumber.

    - #### setBusinessPhoneNumber

          public void setBusinessPhoneNumber(ISingleCollection<XTN> objBusinessPhoneNumberList)

      Set the Business Phone Number list.
      Parameters:
        `objBusinessPhoneNumberList` - List of Business Phone Number.

    - #### addCitizenship

          public void addCitizenship(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Citizenship. This field contains the code to identify the next of kin/associated party's citizenship.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCitizenship

          public void addCitizenship(CWE objtempCitizenship)

      Sets the Citizenship.
      Parameters:
        `objtempCitizenship` - object of Citizenship.

    - #### setCitizenship

          public void setCitizenship(ISingleCollection<CWE> objCitizenshipList)

      Set the Citizenship list.
      Parameters:
        `objCitizenshipList` - List of Citizenship.

    - #### addContactPersonsAddress

          public void addContactPersonsAddress(SAD objStreetAddress,
                                      java.lang.String strOtherDesignation,
                                      java.lang.String strCity,
                                      java.lang.String strStateOrProvince,
                                      java.lang.String strZipOrPostalCode,
                                      java.lang.String strCountry,
                                      java.lang.String strAddressType,
                                      java.lang.String strOtherGeographicDesignation,
                                      CWE objCountyParishCode,
                                      CWE objCensusTract,
                                      java.lang.String strAddressRepresentationCode,
                                      DTM objEffectiveDate,
                                      DTM objExpirationDate,
                                      CWE objEXpirationReason,
                                      java.lang.String strTemporaryIndicator,
                                      java.lang.String strBadAddressIndicator,
                                      java.lang.String strAddressUsage,
                                      java.lang.String strAddressee,
                                      java.lang.String strComment,
                                      java.lang.String strPreferenceOrder,
                                      CWE objProtectionCode,
                                      EI objAddressIdentifier)

      Set the Contact Persons Address. This field contains the addresses of the contact person depending on the value of the relationship defined in NK1-3-Relationship.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addContactPersonsAddress

          public void addContactPersonsAddress(XAD objtempContactPersonsAddress)

      Sets the ContactPersonsAddress.
      Parameters:
        `objtempContactPersonsAddress` - object of ContactPersonsAddress.

    - #### setContactPersonsAddress

          public void setContactPersonsAddress(ISingleCollection<XAD> objContactPersonsAddressList)

      Set the Contact Persons Address list.
      Parameters:
        `objContactReasonList` - List of Contact Persons Address.

    - #### addContactPersonsName

          public void addContactPersonsName(FN objFamilyName,
                                   java.lang.String strGivenName,
                                   java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                   java.lang.String strSuffix,
                                   java.lang.String strPrefix,
                                   java.lang.String strNameTypeCode,
                                   java.lang.String strNameRepresentationCode,
                                   CWE objNameContext,
                                   java.lang.String strNameAssemblyOrder,
                                   DTM objEffectiveDate,
                                   DTM objExpirationDate,
                                   java.lang.String strProfessionalSuffix,
                                   java.lang.String strCalledBy)

      Set the Contact Persons Name. This field contains the names of the people to contact, depending on the value of the relationship defined in NK1-3-Relationship.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addContactPersonsName

          public void addContactPersonsName(XPN objtempContactPersonsName)

      Sets the ContactPersonsName.
      Parameters:
        `objtempContactPersonsName` - object of ContactPersonsName.

    - #### setContactPersonsName

          public void setContactPersonsName(ISingleCollection<XPN> objContactPersonsNameList)

      Set the Contact Persons Name list.
      Parameters:
        `objContactReasonList` - List of Contact Persons Name.

    - #### setContactPersonSocialSecurityNumber

          public void setContactPersonSocialSecurityNumber(java.lang.String strContactPersonSocialSecurityNumber)

      Set the Contact Person Social Security Number. This field contains the contact person's social security number.
      Parameters:
        `strContactPersonSocialSecurityNumber` - Contains the contact person's social security number.

    - #### setContactPersonSocialSecurityNumber

          public void setContactPersonSocialSecurityNumber(ST objcontactPersonSocialSecurityNumber)

      Sets the PersonSocialSecurityNumber.
      Parameters:
        `objcontactPersonSocialSecurityNumber` - object of PersonSocialSecurityNumber.

    - #### addContactPersonsTelephoneNumber

          public void addContactPersonsTelephoneNumber(java.lang.String strTeleCommunicationUseCode,
                                              java.lang.String strTeleCommunicationEquipmentType,
                                              java.lang.String strCommuinicationAddress,
                                              java.lang.String strCountryCode,
                                              java.lang.String strAreaCityCode,
                                              java.lang.String strLocalNumber,
                                              java.lang.String strExtension,
                                              java.lang.String strAnyText,
                                              java.lang.String strExtensionPrefix,
                                              java.lang.String strSpeedDialCode,
                                              java.lang.String strUnformattedTelephoneNumber,
                                              java.lang.String strEffectiveStartDate,
                                              java.lang.String strExpirationDate,
                                              CWE objExpirationReason,
                                              CWE objProtectionCode,
                                              EI objSharedTelecommunicationIdentifier,
                                              java.lang.String strPreferenceOrder)

      Set the Contact Persons Telephone Number. This field contains the telephone numbers of the contact person depending on the value of the relationship defined in NK1-3-Relationship.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addContactPersonsTelephoneNumber

          public void addContactPersonsTelephoneNumber(XTN objtempContactPersonsTelephoneNumber)

      Sets the Contact Persons TelephoneNumber.
      Parameters:
        `objtempContactPersonsTelephoneNumber` - object of ContactPersonsTelephoneNumber

    - #### setContactPersonsTelephoneNumber

          public void setContactPersonsTelephoneNumber(ISingleCollection<XTN> objContactPersonsTelephoneNumberList)

      Set the Contact Persons Telephone Number list.
      Parameters:
        `objContactReasonList` - List of Contact Persons Name.

    - #### addContactReason

          public void addContactReason(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Contact Reason. This field identify how the contact should be used (e.g., contact employer if patient is unable to work).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addContactReason

          public void addContactReason(CWE objtempContactReason)

      Set the Contact Reason. This field identify how the contact should be used (e.g., contact employer if patient is unable to work).
      Parameters:
        `objtempContactReason` - object of Contact Reason.

    - #### setContactReason

          public void setContactReason(ISingleCollection<CWE> objContactReasonList)

      Set the Contact Reason list.
      Parameters:
        `objContactReasonList` - List of Contact Reason.

    - #### setContactRole

          public void setContactRole(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Contact Role. This field indicates the specific relationship role.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContactRole

          public void setContactRole(CWE objcontactRole)

      Set the Contact Role. This field indicates the specific relationship role.
      Parameters:
        `objcontactRole` - object of Contact Role.

    - #### setDateTimeOfBirth

          public void setDateTimeOfBirth(java.lang.String strTime)

      Set the Date Time Of Birth. This field contains the next of kin/associated party's birth date and time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDateTimeOfBirth

          public void setDateTimeOfBirth(DTM objdateTimeOfBirth)

      Sets the Date Time Of Birth.
      Parameters:
        `objdateTimeOfBirth` - object of DateTimeOfBirth

    - #### setEndDate

          public void setEndDate(java.lang.String strEndDate)

      Set the End Date. This field contains the end date of the contact role.
      Parameters:
        `strEndDate` - This field contains the end date of the contact role.

    - #### setEndDate

          public void setEndDate(DT objendDate)

      Set the End Date. This field contains the end date of the contact role.
      Parameters:
        `objendDate` - object of EndDate

    - #### addEthnicGroup

          public void addEthnicGroup(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ethnic Group. This field contains the next of kin/associated party's ethnic group.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addEthnicGroup

          public void addEthnicGroup(CWE objtempEthnicGroup)

      Sets the Ethnic Group.
      Parameters:
        `objtempEthnicGroup` - object of Ethnic Group.

    - #### setEthnicGroup

          public void setEthnicGroup(ISingleCollection<CWE> objEthnicGroupList)

      Set the Ethnic Group list.
      Parameters:
        `objEthnicGroupList` - List of Ethnic Group.

    - #### setHandicap

          public void setHandicap(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Handicap. This field contains the code that describes an associated party's disability.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHandicap

          public void setHandicap(CWE objhandicap)

      Set the Handicap. This field contains the code that describes an associated party's disability.
      Parameters:
        `objhandicap` - object of Handicap

    - #### setJobStatus

          public void setJobStatus(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the JobStatus. This field identify the next of kin/associated party's job status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setJobStatus

          public void setJobStatus(CWE objjobStatus)

      Sets the Status.
      Parameters:
        `objjobStatus` - Used as JobStatus.

    - #### setLivingArrangement

          public void setLivingArrangement(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Living Arrangement. This field identify the situation that the associated party lives in at his/her residential address.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLivingArrangement

          public void setLivingArrangement(CWE objlivingArrangement)

    - #### addLivingDependency

          public void addLivingDependency(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Living Dependency. This field identify specific living conditions (e.g., spouse dependent on patient, walk-up) that are relevant to an evaluation of the patient's healthcare needs.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addLivingDependency

          public void addLivingDependency(CWE objtempLivingDependency)

      Set the Living Dependency. This field identify specific living conditions (e.g., spouse dependent on patient, walk-up) that are relevant to an evaluation of the patient's healthcare needs.
      Parameters:
        `objtempLivingDependency` - object of Living Dependency.

    - #### setLivingDependency

          public void setLivingDependency(ISingleCollection<CWE> objLivingDependencyList)

      Set the Living Dependency list.
      Parameters:
        `objLivingDependencyList` - List of Living Dependency.

    - #### setMaritalStatus

          public void setMaritalStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Marital Status. This field contains the next of kin/associated party's marital status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMaritalStatus

          public void setMaritalStatus(CWE objmaritalStatus)

      Sets the Marital Status.
      Parameters:
        `objmaritalStatus` - object of Marital Status

    - #### addMothersMaidenName

          public void addMothersMaidenName(FN objFamilyName,
                                  java.lang.String strGivenName,
                                  java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                  java.lang.String strSuffix,
                                  java.lang.String strPrefix,
                                  java.lang.String strNameTypeCode,
                                  java.lang.String strNameRepresentationCode,
                                  CWE objNameContext,
                                  java.lang.String strNameAssemblyOrder,
                                  DTM objEffectiveDate,
                                  DTM objExpirationDate,
                                  java.lang.String strProfessionalSuffix,
                                  java.lang.String strCalledBy)

      Set the Mothers Maiden Name. This field indicates the maiden name of the next of kin/associated party's mother.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addMothersMaidenName

          public void addMothersMaidenName(XPN objtempMothersMaidenName)

      Sets the Mothers Maiden Name.
      Parameters:
        `objtempMothersMaidenName` - object of MothersMaidenName.

    - #### setMothersMaidenName

          public void setMothersMaidenName(ISingleCollection<XPN> objMothersMaidenNameList)

      Set the Mothers Maiden Name list.
      Parameters:
        `objMothersMaidenNameList` - List of Mothers Maiden Name.

    - #### addName

          public void addName(FN objFamilyName,
                     java.lang.String strGivenName,
                     java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                     java.lang.String strSuffix,
                     java.lang.String strPrefix,
                     java.lang.String strNameTypeCode,
                     java.lang.String strNameRepresentationCode,
                     CWE objNameContext,
                     java.lang.String strNameAssemblyOrder,
                     DTM objEffectiveDate,
                     DTM objExpirationDate,
                     java.lang.String strProfessionalSuffix)

      Set the Name OF Next Kin. This field contains the name of the next of kin or associated party. Multiple names for the same person are allowed.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).

    - #### addName

          public void addName(XPN objtempName)

      Sets the Name.
      Parameters:
        `objtempName` - object of Name.

    - #### setName

          public void setName(ISingleCollection<XPN> objNameList)

      Set the Name.
      Parameters:
        `objNameList` - List of Name.

    - #### setNationality

          public void setNationality(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Nationality. This field identify the nation or national group to which the next of kin/associated party belongs.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNationality

          public void setNationality(CWE objnationality)

      Sets the Nationality.
      Parameters:
        `objnationality` - object of Nationality

    - #### setNextOfKinAssociatedPartiesEmployeeNumber

          public void setNextOfKinAssociatedPartiesEmployeeNumber(java.lang.String strIDNumber,
                                                         java.lang.String strCheckDigit,
                                                         java.lang.String strCheckDigitScheme,
                                                         HD objAssigningAuthority,
                                                         java.lang.String strIdentifierTypeCode,
                                                         HD objAssigningFacility,
                                                         java.lang.String strEffectiveDate,
                                                         java.lang.String strExpirationDate,
                                                         CWE objAssigningJurisdiction,
                                                         CWE objAssigningAgencyOrDepartment,
                                                         java.lang.String strSecurityCheck,
                                                         java.lang.String strSecurityCheckScheme)

      Set the Next Of Kin Associated Parties Employee Number. This field contains the number that the employer assigns to the employee that is acting as next of kin/associated parties.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setNextOfKinAssociatedPartiesEmployeeNumber

          public void setNextOfKinAssociatedPartiesEmployeeNumber(CX objnextOfKinAssociatedPartiesEmployeeNumber)

      Sets the Next Of Kin Associated Parties Employee Number.
      Parameters:
        `objnextOfKinAssociatedPartiesEmployeeNumber` - object of next Of Kin Associated Parties Employee Number.

    - #### setNextOfKinAssociatedPartiesJobCodeClass

          public void setNextOfKinAssociatedPartiesJobCodeClass(CWE jobCode,
                                                       CWE jobClass,
                                                       java.lang.String strJobDescriptionText)

      Set the Next Of Kin Associated Parties Job Code Class. This field contains the employer's job code and the employee classification used for the next of kin/associated parties at their place of employment.
      Parameters:
        `jobCode` - Specifies the person's job code.No Suggested Values.[Refer table no.0327]
        `jobClass` - Specifies the person's employee classification.No Suggested Values. [Refer table no.0328]
        `strJobDescriptionText` - Specifies the text of the job description.

    - #### setNextOfKinAssociatedPartiesJobCodeClass

          public void setNextOfKinAssociatedPartiesJobCodeClass(JCC objnextOfKinAssociatedPartiesJobCodeClass)

      Sets the Next Of Kin Associated Parties Job Code Class.
      Parameters:
        `objnextOfKinAssociatedPartiesJobCodeClass` - object of nextOfKinAssociatedPartiesJobCodeClass

    - #### setNextOfKinAssociatedPartiesJobTitle

          public void setNextOfKinAssociatedPartiesJobTitle(java.lang.String strNextOfKinAssociatedPartiesJobTitle)

      Set the Next Of Kin Associated Parties Job Title. This field contains the title of the next of kin/associated parties at their place of employment.
      Parameters:
        `strNextOfKinAssociatedPartiesJobTitle` - Specifies the title of the next of kin/associated parties at their place of employment.

    - #### setNextOfKinAssociatedPartiesJobTitle

          public void setNextOfKinAssociatedPartiesJobTitle(ST objnextOfKinAssociatedPartiesJobTitle)

      Sets the Next Of Kin Associated Parties Job Title.
      Parameters:
        `objnextOfKinAssociatedPartiesJobTitle` - object of nextOfKinAssociatedPartiesJobTitle

    - #### addNextOfKinAssociatedPartysIdentifiers

          public void addNextOfKinAssociatedPartysIdentifiers(java.lang.String strIDNumber,
                                                     java.lang.String strCheckDigit,
                                                     java.lang.String strCheckDigitScheme,
                                                     HD objAssigningAuthority,
                                                     java.lang.String strIdentifierTypeCode,
                                                     HD objAssigningFacility,
                                                     java.lang.String strEffectiveDate,
                                                     java.lang.String strExpirationDate,
                                                     CWE objAssigningJurisdiction,
                                                     CWE objAssigningAgencyOrDepartment,
                                                     java.lang.String strSecurityCheck,
                                                     java.lang.String strSecurityCheckScheme)

      Set the Next Of Kin Associated Partys Identifiers. This field contains the identifiers for the next of kin/associated party.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addNextOfKinAssociatedPartysIdentifiers

          public void addNextOfKinAssociatedPartysIdentifiers(CX objtempNextOfKinAssociatedPartysIdentifiers)

      Sets the Next Of Kin Associated Partys Identifiers.
      Parameters:
        `objtempNextOfKinAssociatedPartysIdentifiers` - object of NextOfKinAssociatedPartysIdentifiers

    - #### setNextOfKinAssociatedPartysIdentifiers

          public void setNextOfKinAssociatedPartysIdentifiers(ISingleCollection<CX> objNextOfKinAssociatedPartysIdentifiersList)

      Set the Next Of Kin Associated Partys Identifiers list.
      Parameters:
        `objobjNextOfKinAssociatedPartysIdentifiersListList` - List of Next Of Kin Associated Partys Identifiers List.

    - #### setNextOfKinBirthPlace

          public void setNextOfKinBirthPlace(java.lang.String strNextOfKinBirthPlace)

      Set the Next Of Kin Birth Place. This field indicates the location of the next-of-kin's birth.
      Parameters:
        `strNextOfKinBirthPlace` - Specifies the location of the next-of-kin's birth.

    - #### setNextOfKinBirthPlace

          public void setNextOfKinBirthPlace(ST objnextOfKinBirthPlace)

      Set the Next Of Kin Birth Place. This field indicates the location of the next-of-kin's birth.
      Parameters:
        `objnextOfKinBirthPlace` - object of nextOfKinBirthPlace

    - #### addOrganizationNameNK1

          public void addOrganizationNameNK1(java.lang.String strOrganizationName,
                                    CWE objOrganizationNameTypeCode,
                                    HD objAssigningAuthority,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    java.lang.String strOrganizationIdentifier)

      Set the Organization Name NK1. This field contains the name of the organization that serves as a next of kin/associated party or as the next of kin of the patient.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addOrganizationNameNK1

          public void addOrganizationNameNK1(XON objtempOrganizationNameNK1)

      Sets the Organization Name NK1.
      Parameters:
        `objtempOrganizationNameNK1` - object of OrganizationNameNK1

    - #### setOrganizationNameNK1

          public void setOrganizationNameNK1(ISingleCollection<XON> objOrganizationNameNK1List)

      Set the Organization Name NK1 list.
      Parameters:
        `objOrganizationNameNK1List` - List of Organization Name NK1.

    - #### addPhoneNumber

          public void addPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                            java.lang.String strTeleCommunicationEquipmentType,
                            java.lang.String strCommuinicationAddress,
                            java.lang.String strCountryCode,
                            java.lang.String strAreaCityCode,
                            java.lang.String strLocalNumber,
                            java.lang.String strExtension,
                            java.lang.String strAnyText,
                            java.lang.String strExtensionPrefix,
                            java.lang.String strSpeedDialCode,
                            java.lang.String strUnformattedTelephoneNumber,
                            java.lang.String strEffectiveStartDate,
                            java.lang.String strExpirationDate,
                            CWE objExpirationReason,
                            CWE objProtectionCode,
                            EI objSharedTelecommunicationIdentifier,
                            java.lang.String strPreferenceOrder)

      Set the Phone Number. This field contains the telephone number of the next of kin/associated party.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPhoneNumber

          public void addPhoneNumber(XTN objtempPhoneNumber)

      Sets the Phone Number.
      Parameters:
        `objtempPhoneNumber` - object of PhoneNumber.

    - #### setPhoneNumber

          public void setPhoneNumber(ISingleCollection<XTN> objPhoneNumberList)

      Set the PhoneNumber list.
      Parameters:
        `objPhoneNumberList` - List of Phone Number.

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Language. This field identify the next of kin/associated party's primary speaking language.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(CWE objprimaryLanguage)

      Sets the Primary Language.
      Parameters:
        `objprimaryLanguage` - object of primaryLanguage

    - #### setProtectionIndicator

          public void setProtectionIndicator(java.lang.String strProtectionIndicator)

      Set the Protection Indicator. This field identify that next of kin/associated party's protection that determines, in turn, whether access to information about this person should be kept from users who do not have adequate authority.
      Parameters:
        `strProtectionIndicator` - This field identifies that next of kin/associated party's protection. Suggested Values Y,N.[Refer Table No. 0136].

    - #### setProtectionIndicator

          public void setProtectionIndicator(ID objprotectionIndicator)

      Sets the Protection Indicator.
      Parameters:
        `objprotectionIndicator` - object of ProtectionIndicatorc

    - #### setPublicityCode

          public void setPublicityCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Publicity Code. This field indicates what level of publicity is allowed (e.g., No Publicity, Family Only)
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPublicityCode

          public void setPublicityCode(CWE objpublicityCode)

      Set the Publicity Code. This field indicates what level of publicity is allowed (e.g., No Publicity, Family Only)
      Parameters:
        `objpublicityCode` - object of PublicityCode

    - #### addRace

          public void addRace(java.lang.String strIdentifier,
                     java.lang.String strText,
                     java.lang.String strNameOfCodingSystem,
                     java.lang.String strAlternateIdentifier,
                     java.lang.String strAlternateText,
                     java.lang.String strNameOfAlternateCodingSystem,
                     java.lang.String strCodingSystemVersionID,
                     java.lang.String strAlternateCodingSystemVersionId,
                     java.lang.String strOriginalText,
                     java.lang.String strSecondAlternateIdentifier,
                     java.lang.String strSecondAlternateText,
                     java.lang.String strNameofSecondAlternateCodingSystem,
                     java.lang.String strSecondAlternateCodingSystemVersionID,
                     java.lang.String strCodingSystemOID,
                     java.lang.String strValueSetOID,
                     java.lang.String strValueSetVersionID,
                     java.lang.String strAlternateCodingSystemOID,
                     java.lang.String strAlternateValueSetOID,
                     java.lang.String strAlternateValueSetVersionID,
                     java.lang.String strSecondAlternateCodingSystemOID,
                     java.lang.String strSecondAlternateValueSetOID,
                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Race. This field identify the race of the next of kin/associated party.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRace

          public void addRace(CWE objtempRace)

      Sets the Race.
      Parameters:
        `objtempRace` - object of Race.

    - #### setRace

          public void setRace(ISingleCollection<CWE> objRaceList)

      Set the Race list.
      Parameters:
        `objDiagnosingClinicianList` - List of Race.

    - #### setRelationship

          public void setRelationship(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Relationship. This field contains the actual personal relationship that the next of kin/associated party has to the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRelationship

          public void setRelationship(CWE objrelationship)

      Sets the Relationship.
      Parameters:
        `objrelationship` - object of Relationship

    - #### setReligion

          public void setReligion(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Religion. This field indicates the type of religion practiced by the next of kin/associated party.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReligion

          public void setReligion(CWE objreligion)

      Sets the Religion.
      Parameters:
        `objreligion` - object of Religion.

    - #### setSetIDNK1

          public void setSetIDNK1(java.lang.String strSetIDNK1)

      Set the Set ID NK1. This field contains the number that identifies this transaction.
      Parameters:
        `strSetIDNK1` - This field contains the number that identifies transaction.

    - #### setSetIDNK1

          public void setSetIDNK1(SI objsetIDNK1)

      Set the Set ID NK1. This field contains the number that identifies this transaction.
      Parameters:
        `objsetIDNK1` - object of SetIDNK1

    - #### setStartDate

          public void setStartDate(java.lang.String strStartDate)

      Set the Start Date. This field contains the start date of the contact role.
      Parameters:
        `strStartDate` - Specifies This field contains the start date of the contact role.

    - #### setStartDate

          public void setStartDate(DT objstartDate)

      Set the Start Date. This field contains the start date of the contact role.
      Parameters:
        `objstartDate` - object of StartDate

    - #### setStudentIndicator

          public void setStudentIndicator(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Student Indicator. This field identify whether the next of kin/associated party is currently a student or not, and whether the next of kin/associated party is a full- or a part-time student.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStudentIndicator

          public void setStudentIndicator(CWE objstudentIndicator)

      Sets the Student Indicator.
      Parameters:
        `objstudentIndicator` - object of Student Indicator.

    - #### setVIPIndicator

          public void setVIPIndicator(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the VIP Indicator. This field identify the type of VIP for the next-of-kin.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVIPIndicator

          public void setVIPIndicator(CWE objvIPIndicator)

      Set the VIP Indicator. This field identify the type of VIP for the next-of-kin.
      Parameters:
        `objvIPIndicator` - object of vIPIndicator.

    - #### setNextOfKinTelecommunicationInformation

          public void setNextOfKinTelecommunicationInformation(java.lang.String strTeleCommunicationUseCode,
                                                      java.lang.String strTeleCommunicationEquipmentType,
                                                      java.lang.String strCommuinicationAddress,
                                                      java.lang.String strCountryCode,
                                                      java.lang.String strAreaCityCode,
                                                      java.lang.String strLocalNumber,
                                                      java.lang.String strExtension,
                                                      java.lang.String strAnyText,
                                                      java.lang.String strExtensionPrefix,
                                                      java.lang.String strSpeedDialCode,
                                                      java.lang.String strUnformattedTelephoneNumber,
                                                      java.lang.String strEffectiveStartDate,
                                                      java.lang.String strExpirationDate,
                                                      CWE objExpirationReason,
                                                      CWE objProtectionCode,
                                                      EI objSharedTelecommunicationIdentifier,
                                                      java.lang.String strPreferenceOrder)

      Set the Next of Kin Telecommunication Information.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setNextOfKinTelecommunicationInformation

          public void setNextOfKinTelecommunicationInformation(XTN objXtn)

      Sets the Next of Kin Telecommunication Information.
      Parameters:
        `objXtn` - object of Next of Kin Telecommunication Information.

    - #### setContactPersonsTelecommunicationInformation

          public void setContactPersonsTelecommunicationInformation(java.lang.String strTeleCommunicationUseCode,
                                                           java.lang.String strTeleCommunicationEquipmentType,
                                                           java.lang.String strCommuinicationAddress,
                                                           java.lang.String strCountryCode,
                                                           java.lang.String strAreaCityCode,
                                                           java.lang.String strLocalNumber,
                                                           java.lang.String strExtension,
                                                           java.lang.String strAnyText,
                                                           java.lang.String strExtensionPrefix,
                                                           java.lang.String strSpeedDialCode,
                                                           java.lang.String strUnformattedTelephoneNumber,
                                                           java.lang.String strEffectiveStartDate,
                                                           java.lang.String strExpirationDate,
                                                           CWE objExpirationReason,
                                                           CWE objProtectionCode,
                                                           EI objSharedTelecommunicationIdentifier,
                                                           java.lang.String strPreferenceOrder)

      Set the Contact Person's Telecommunication Information.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setContactPersonsTelecommunicationInformation

          public void setContactPersonsTelecommunicationInformation(XTN objXtn)

      Sets the Contact Person's Telecommunication Information.
      Parameters:
        `objXtn` - object of Contact Person's Telecommunication Information.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails